summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Petr Kletecka2013-03-16 20:37:54 +0100
committer dsomero2013-03-22 12:16:49 +0100
commit9cf0ee54110ee3db1ecef494cf3e60dd77fce02c (patch)
treeee2ad2a98f51bc48cd30e082a760e95158ac68ac /misc
parenta1236183c158524e82210b51500a89e1dbc80b8b (diff)
downloadslackbuilds-9cf0ee54110ee3db1ecef494cf3e60dd77fce02c.tar.gz
misc/portecle: Added (Simple interface to a keystore)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/portecle/README3
-rw-r--r--misc/portecle/doinst.sh3
-rw-r--r--misc/portecle/portecle4
-rw-r--r--misc/portecle/portecle.SlackBuild56
-rw-r--r--misc/portecle/portecle.info10
-rw-r--r--misc/portecle/slack-desc19
6 files changed, 95 insertions, 0 deletions
diff --git a/misc/portecle/README b/misc/portecle/README
new file mode 100644
index 0000000000..4538f3f1ae
--- /dev/null
+++ b/misc/portecle/README
@@ -0,0 +1,3 @@
+Portecle is a user friendly GUI application for creating, managing
+and examining keystores, keys, certificates, certificate requests,
+certificate revocation lists and more.
diff --git a/misc/portecle/doinst.sh b/misc/portecle/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/misc/portecle/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/misc/portecle/portecle b/misc/portecle/portecle
new file mode 100644
index 0000000000..7f00ea1ce9
--- /dev/null
+++ b/misc/portecle/portecle
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+cd /usr/share/portecle/
+java -jar portecle.jar
diff --git a/misc/portecle/portecle.SlackBuild b/misc/portecle/portecle.SlackBuild
new file mode 100644
index 0000000000..47b3eb646b
--- /dev/null
+++ b/misc/portecle/portecle.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for portecle
+
+# Petr Kletecka petr@kle.cz <2013>
+
+PRGNAM=portecle
+VERSION=${VERSION:-1.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/applications
+mv portecle.desktop $PKG/usr/share/applications/
+
+mkdir -p $PKG/usr/share/pixmaps
+mv portecle.png $PKG/usr/share/pixmaps/
+
+mkdir -p $PKG/usr/bin
+cat $CWD/portecle > $PKG/usr/bin/portecle
+chmod oug+x $PKG/usr/bin/portecle
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a * $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/portecle/portecle.info b/misc/portecle/portecle.info
new file mode 100644
index 0000000000..1d5824edba
--- /dev/null
+++ b/misc/portecle/portecle.info
@@ -0,0 +1,10 @@
+PRGNAM="portecle"
+VERSION="1.7"
+HOMEPAGE="http://portecle.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/portecle/portecle-1.7.zip"
+MD5SUM="c01754e2a298139f08fbb59d39d861df"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Petr Kletecka"
+EMAIL="petr@kle.cz"
diff --git a/misc/portecle/slack-desc b/misc/portecle/slack-desc
new file mode 100644
index 0000000000..4085dc43c1
--- /dev/null
+++ b/misc/portecle/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+portecle: Portecle (Simple interface which provides access to a keystore)
+portecle:
+portecle: Portecle is a user friendly GUI application for creating, managing
+portecle: and examining keystores, keys, certificates, certificate requests,
+portecle: certificate revocation lists and more.
+portecle:
+portecle:
+portecle: website: http://portecle.sourceforge.net
+portecle:
+portecle:
+portecle: